Bug 598626 - ipa-client depends on python-krbv
ipa-client depends on python-krbv
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.0
All Linux
high Severity medium
: beta
: ---
Assigned To: Rob Crittenden
IDM QE LIST
:
Depends On: 598617
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 14:21 EDT by Rob Crittenden
Modified: 2011-10-20 16:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: ipa-client-2.0-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 598617
Environment:
Last Closed: 2010-11-10 15:41:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Drop python-krbV usage (1.61 KB, patch)
2010-06-03 10:23 EDT, Rob Crittenden
no flags Details | Diff
remove another usage of krbV (2.19 KB, patch)
2010-06-03 11:15 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2010-06-01 14:21:03 EDT
+++ This bug was initially created as a clone of Bug #598617 +++

Currently ipa-client depends on python-krbv. It is believed to be needed only for uninstalling to get the default kerberos realm so /etc/krb5.keytab can be cleaned up. 

However, python-krbv is not packaged for RHEL6 and this is causing a dependency problem for the RHEL6 tech preview of ipa-client.

Lets investigate if there are alternative mechanisms to get the default krb realm so we can remove the dependency on python-krb5.
Comment 1 RHEL Product and Program Management 2010-06-01 14:36:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Rob Crittenden 2010-06-03 10:23:34 EDT
Created attachment 419395 [details]
Drop python-krbV usage

Based on upstream patch.
Comment 3 Rob Crittenden 2010-06-03 11:15:16 EDT
Created attachment 419418 [details]
remove another usage of krbV
Comment 5 Rob Crittenden 2010-06-16 17:11:38 EDT
Found another place where krbV was being referenced. Updated the patch and rebuilt (ipa-client-2.0-8.el6).
Comment 7 Jenny Galipeau 2010-08-10 16:58:51 EDT
verified RHEL 6:

[root@jennyv2 ~]# rpm -q python-krbV
package python-krbV is not installed

[root@jennyv2 ~]# rpm -q ipa-client
ipa-client-2.0-9.el6.i686

ipa-client-install successful, kinit and sso ssh

Uninstall successful:

[root@jennyv2 ~]# ipa-client-install --uninstall
Removing Kerberos service principals from /etc/krb5.keytab
Disabling client Kerberos and Ldap configurations
Restoring client configuration files
The original nsswitch.conf configuration has been restored.

keytab removed:

ktutil:  rkt /etc/krb5.keytab
ktutil:  l
slot KVNO Principal
---- ---- ---------------------------------------------------------------------

ipa-client version:
ipa-client-2.0-9.el6.i686
Comment 8 releng-rhel@redhat.com 2010-11-10 15:41:00 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.